#ifndef _PCF8574_H
#define _PCF8574_H


#ifndef TWI_FREQ
#define TWI_FREQ 100000L
#endif

#include <avr/io.h>


void pcf8574_init (void);

unsigned char pcf8574_send_start (void);

void pcf8574_send_stop (void);

unsigned char pcf8574_send_add_rw (unsigned char address, unsigned char rw);

unsigned char pcf8574_send_byte (unsigned char byte);

unsigned char pcf8574_read_byte (void);

extern unsigned char pcf8574_get_inputs (unsigned char address);

extern void pcf8574_set_outputs (unsigned char address, unsigned char byte);

void pcf8574_open_and_hold (unsigned char address);

void pcf8574_release ();


#endif
